Summary:        Tool for generating configure script for qmake-based projects
Name:           qconf
Version:        1.5
Release:        1%{?dist}

Group:          Development/Tools
License:        GPLv2+ with exceptions
#URL:           http://delta.affinix.com/qconf/
URL:            https://github.com/psi-plus/qconf
Source0:        https://github.com/psi-plus/qconf/archive/%{version}.tar.gz

Buildrequires:  qt4-devel >= 4.4.0
# or pkgconfig-style
#BuildRequires: pkgconfig(QtXml) >= 4.4.0
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

%description
QConf allows you to have a nice configure script for your
qmake-based project. It is intended for developers who don't need
(or want) to use the more complex GNU autotools. With qconf/qmake,
it is easy to maintain a cross-platform project that uses a
familiar configuration interface on unix.


%prep
%setup -q


%build
%{qmake_qt4} \
  PREFIX=%{_prefix}   \
  BINDIR=%{_bindir}   \
  DATADIR=%{_datadir} \
  QTDIR=%{_qt4_prefix}
              
make %{?_smp_mflags}


%install
make INSTALL_ROOT=%{buildroot} install

# Fedora has gridengine package with /usr/bin/qconf
# So I need to use another name
mv %{buildroot}%{_bindir}/qconf %{buildroot}%{_bindir}/qconf-qt4


%files
%defattr(-,root,root,-)
%doc COPYING README TODO
%{_bindir}/qconf-qt4
%{_datadir}/qconf/


%changelog
* Tue Jun 23 2015 Rex Dieter <rdieter@fedoraproject.org> 1.5-1
- qconf-1.5 (#1234217)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.4-11
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jan 01 2012 Rex Dieter <rdieter@fedoraproject.org> 1.4-4
- BR: qt4-devel (#751249)

* Sun Jan 1 2012 Ivan Romanov <drizt@land.ru> - 1.4-3
- Added qt epoch to ruquires. Resolved #751249
- Two minutes before New Year holiday ;)

* Sat Apr 9 2011 Ivan Romanov <drizt@land.ru> - 1.4-2
- added patch to support optflags
- used qmake for build stage instead configure
- changed summary
- corrected codestyle
- fix build requires (thanks to Alexey Panov)
- binary renamed to qconf-qt4

* Thu Nov 12 2009 Arkady L. Shane <ashejn@yandex-team.ru> - 1.4-1
- initial build for Fedora
